PAGE 60,132
TITLE ASPI DOS Single Disk Device Driver (C) 1991 Adaptec, Inc.

;****************************************************************************
;*									    *
;* Copyright 1991 Adaptec, Inc.,  All Rights Reserved.	 		    *
;*									    *
;* This software contains the valuable trade secrets of Adaptec.  The	    *
;* software is protected under copyright laws as an unpublished work of	    *
;* Adaptec.  Notice is for informational purposes only and does not imply   *
;* publication.  The user of this software may make copies of the software  *
;* for use with parts manufactured by Adaptec or under license from Adaptec *
;* and for no other use.						    *
;*									    *
;****************************************************************************

;****************************************************************************
;*
;*  Module Name:  MESSAGES.ASM
;*
;*  Description:  This modules contains ALL the messages which are displayed
;*		  to the user during driver initialization.
;*
;****************************************************************************

		.xlist
		include	aspi1dsk.inc		;ASPI1DSK.SYS definitions
		.list

DataInit	segment		;Segment thrown away after INIT to minimize
				;  resident memory requirements

;****************************************************************************
;			%%% SIGN-ON BANNER %%%
;****************************************************************************
		public	MsgSignOn,MsgInstallGood,MsgInstallFail

MsgSignOn	db	CR,LF
		db	"ASPI Single Disk Driver for DOS",LF,CR
		db	"Version ",VER_HI,'.',VER_LO,LF,CR
		db	"Copyright 1991 Adaptec, Inc.",LF,CR
		db	LF
		db	"*******************************************************",CR,LF
		db	"This code is intended for testing and evaluation only!",CR,LF
		db	"There is no warranty either expressed or implied.",CR,LF
		db	"*******************************************************",CR,LF,LF,'$'

MsgInstallGood	db	'ASPI1DSK.SYS Installation Successful',LF,CR,'$'
MsgInstallFail	db	'ASPI1DSK.SYS is NOT installed.',LF,CR,'$'

;****************************************************************************
;		    %%% ERROR/WARNING MESSAGES %%%
;****************************************************************************

		public	Str_NoDrives,Str_BootFail
		public	Str_NoASPI,Str_OldDOS
		public	Str_OldASPIMgr

Str_NoDrives 	db	7,"No SCSI logical drives to support.",CR,LF,'$'
Str_BootFail	db	7,"Failed to read, or invalid, boot record.",CR,LF,'$'
Str_NoASPI	db	7,"Unable to open ASPI Manager!",CR,LF,'$'
Str_OldDOS	db	7,"Invalid DOS version. DOS must be version 3.21 or above.",CR,LF,'$'
Str_OldASPIMgr	db	7,"Unsupported (old-style) ASPI manager found!",CR,LF,'$'


;****************************************************************************
;		  %%% DEVICE INFORMATION STRING %%%
;****************************************************************************

		public	Str_TargetInfo1,Str_TargetInfo2,Str_TargetInfo3
		public	Str_CRLF

Str_TargetInfo1	db	"    HA #x - SCSI ID x: ",'$'
Str_TargetInfo2	db	" logical drive(s) ",'$'
Str_TargetInfo3	db	"x: installed",'$'
Str_CRLF	db	CR,LF,'$'

DataInit	ends

		END
